Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.tracking.runs.create({
requestBody: {
experimentId: "<id>",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Tracking.Runs.CreateAsync(body: new TrackingRunsCreateRequestBody() {
ExperimentId = "<id>",
});
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.tracking.runs.create(experiment_id="<id>")
# Handle response
print(res)curl --request POST \
--url https://apigw.mka1.com/api/2.0/mlflow/runs/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"experiment_id": "<string>",
"start_time": 123,
"run_name": "<string>",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
experiment_id: '<string>',
start_time: 123,
run_name: '<string>',
tags: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://apigw.mka1.com/api/2.0/mlflow/runs/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"info": {
"run_id": "<string>",
"experiment_id": "<string>",
"run_uuid": "<string>",
"run_name": "<string>",
"user_id": "<string>",
"status": "RUNNING",
"start_time": 123,
"end_time": 123,
"artifact_uri": "<string>",
"lifecycle_stage": "<string>"
},
"data": {
"metrics": [
{
"key": "<string>",
"value": 123,
"timestamp": 123,
"step": 123
}
],
"params": [
{
"key": "<string>",
"value": "<string>"
}
],
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"inputs": {
"dataset_inputs": [
{
"dataset": {
"name": "<string>",
"digest": "<string>",
"source_type": "<string>",
"source": "<string>",
"schema": "<string>",
"profile": "<string>"
},
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}
}
}Tracking Runs
Crear
Requiere write:tracking. Los resultados están restringidos a la organización y al equipo de la clave de API.
POST
/
api
/
2.0
/
mlflow
/
runs
/
create
Typescript (SDK)
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.tracking.runs.create({
requestBody: {
experimentId: "<id>",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using MeetKai.MKA1.Types.Requests;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Tracking.Runs.CreateAsync(body: new TrackingRunsCreateRequestBody() {
ExperimentId = "<id>",
});
// handle responsefrom meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.tracking.runs.create(experiment_id="<id>")
# Handle response
print(res)Autorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Encabezados
Optional external end-user identifier forwarded by the API gateway.
Cuerpo
application/json
Respuesta
Éxito
Show child attributes
Show child attributes
¿Esta página le ayudó?
⌘I